Articles of apt

libcodec y libcodec2-dev no existen en Debian 8

Instalé Debian 8 Jessie en un server y ahora quiero instalar Freeswitch. Después del command ./configuration fui a modules.conf y habilité mod_codec2 . Después de eso corrí make Mientras procesaba, dijo: You must install `libcodec2-dev` to build `mod_codec2`. Ok, y busqué en Google y descubro que libcodec debería instalarse primero. El command `sudo apt-get install […]

upgrade mariadb 10.0.29 + maria-1 ~ jessie failed

utilizando Debian 8 con el repository de mariadb, el command apt-get dist-upgrade falló para los packages de Mariadb. Lecture des listes de paquets… Fait Construction de l'arbre des dépendances Lecture des informations d'état… Fait Calcul de la mise à jour… Fait Les paquets suivants seront mis à jour : galera-3 libmariadbclient18 libmysqlclient18 mariadb-client-10.0 mariadb-client-core-10.0 mariadb-common […]

apt-get install no se conecta al server cuando intenta instalar libssl-dev en Debian Jessie

Estoy ejecutando este command como root: apt-get install libssl-dev Aquí está la respuesta: Reading package lists… Done Building dependency tree Reading state information… Done The following extra packages will be installed: libssl-doc libssl1.0.0 zlib1g-dev The following NEW packages will be installed: libssl-dev libssl-doc zlib1g-dev The following packages will be upgraded: libssl1.0.0 1 upgraded, 3 newly […]

Eliminar software y PPA por completo

Tengo un montón de software instalado, de diversas fonts, y me gustaría comenzar a utilizar Flatpaks en lugar de PPA. Pero, ¿cómo elimino completamente mi software actual, con los PPA y demás? Este es el resultado de mi sudo apt update (estoy usando el sistema operativo elemental basado en ubuntu 16.04 Hit:1 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu xenial InRelease […]

Omita una versión de un package

Recientemente actualicé VirtualBox a la versión 5.1.16 y encontré que tiene un error 1 , por lo que volví a degradar a 5.1.14. Ahora quisiera que tanto apt upgrade como Update Manager 2 de Linux Mint 17.3 dejen de intentar actualizarme a esta versión de este package. Sé que podría ignorar las actualizaciones de ese […]

Dpkg se cuelga en cualquier acción

Independientemente de la acción elegida, dpkg cuelga en mi Raspberry Pi 2. Congela toda la máquina, pero por ejemplo, si htop ya está abierto en otra window, sigue funcionando. Intenté la mayoría de los commands como dpkg –configure -a y preferiría no reiniciar todo mi sistema. El logging de strace es demasiado largo para pastebin, […]

Instalar libmyodbc en Ubuntu Yakkety (16.10)

¿Cómo instalo libmyodbc en Yakkety? Fue en Xenial, pero estoy recibiendo Package 'libmyodbc' has no installation candidate ¿Alguna idea? Es necesario para otra pieza de software que estoy tratando de instalar.

Cómo usar dpkg -i para instalar el package y las dependencies donde las dependencies están todas en la misma carpeta

En (Ubuntu) Debian, ¿cómo uso dpkg -i para instalar packages en una computadora sin Internet? Tengo todos los packages y dependencies juntos, todo en una sola carpeta. No necesito internet para download nada. Por ejemplo, si Chrome y todas sus dependencies están juntas en una carpeta, el command dpkg -i *.deb desea instalar Chrome ANTES […]

Descargue los files fuente de Debian para estable en lugar de inestable

Estoy descargando los files fuente de Debian para el package heimdal ejecutando este command apt-get source –download-only heimdal Esto descarga los files fuente para el lanzamiento sid (inestable). Sin embargo, lo que quiero son las fonts de liberación de stretch (estable). Estoy ejecutando este command en una máquina Debian jessie (oldstable). Traté de agregar la […]

Apt colgado al actualizar Translation-en no gratuito (Debian Stretch)

Estoy intentando ejecutar una actualización normal para poder instalar algunos otros packages. Sin embargo, cada vez que lo ejecuto, apt-get se cuelga: Get:26 http://ftp.au.debian.org/debian/ stretch/non-free Translation-en [79.2 kB] 0% [Working] Originalmente tenía un espejo iinet, e incluso cambié al principal de ftp.debian.org. Ninguno funcionó. He borrado los datos temporales con: sudo apt-get clean y sudo […]